Expenses

Get Expense Comments

Lists comments on an expense report for its owner or a scoped reviewer.

GEThttps://api.toku.com/hris/get-expense-comments

Required scope: expenses:read

curl --request GET \
  --url 'https://api.toku.com/hris/get-expense-comments?hrisExpenseReportID=%3ChrisExpenseReportID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "commentID": "string",
    "authorRoleInOrgID": "string",
    "authorName": "string",
    "body": "string",
    "isInfoRequest": true,
    "createdAt": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

hrisExpenseReportIDstring<uuid>required

Response

200Successful response
commentIDstringrequired
authorRoleInOrgIDstringrequired
authorNamestringrequired
bodystringrequired
isInfoRequestbooleanrequired
createdAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits